class Summoner

  def self.byNames(region, summonerNames)
    uri = Utils.baseURI + '/api/lol/' + region + '/v1.4/summoner/by-name/' + summonerNames + "?api_key=" + Utils.getAPIKey
    puts uri
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

  def self.byIDS(region, summonerIDS)
    uri = Utils.baseURI + '/api/lol/' + region + '/v1.4/summoner/' + summonerIDS + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

  def self.masteries(region, summonerIDS)
    uri = Utils.baseURI + '/api/lol/' + region + '/v1.4/summoner/' + summonerIDS + '/masteries' + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

  def self.names(region, summonerIDS)
    uri = Utils.baseURI + '/api/lol/' + region + '/v1.3/stats/by-summoner/' + summonerIDS + '/name' + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

  def self.runes(region, summonerIDS)
    uri = Utils.baseURI + '/api/lol/' + region + '/v1.3/stats/by-summoner/' + summonerIDS + '/runes' + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

end