class RiotAPI
  def initialize(apiKey)
    Utils.setAPIKey(apiKey)
  end

  # TODO riot-api
  # handle Response Error exceptions
  # make the API more intuitive (classes that pre-initialize all the needed data)

  #Includes
  require 'open-uri'
  require 'json'
  require 'certified'
  require "riot-api-ruby/champion"
  require "riot-api-ruby/game"
  require "riot-api-ruby/league"
  require "riot-api-ruby/lol-static-data"
  require "riot-api-ruby/stats"
  require "riot-api-ruby/summoner"
  require "riot-api-ruby/team"
  require "riot-api-ruby/utilities"
end