class League

  class BySummoner

    def self.leagues(region, summonerIDs)
      uri = Utils.baseURI + '/api/lol/' + region +'/v2.4/league/by-summoner/' + summonerIDs + "?api_key=" + Utils.getAPIKey
      jsonRequest = open(uri).read
      return JSON.parse(jsonRequest)
    end

    def self.entries(region, summonerIDs)
      uri = Utils.baseURI + '/api/lol/' + region +'/v2.4/league/by-summoner/' + summonerIDs + '/entry' + "?api_key=" + Utils.getAPIKey
      jsonRequest = open(uri).read
      return JSON.parse(jsonRequest)
    end

  end

  class ByTeam
    def self.leagues(region, teamIDs)
      uri = Utils.baseURI + '/api/lol/' + region +'/v2.4/league/by-team/' + teamIDs + "?api_key=" + Utils.getAPIKey
      jsonRequest = open(uri).read
      return JSON.parse(jsonRequest)
    end

    def self.entries(region, teamIDs)
      uri = Utils.baseURI + '/api/lol/' + region +'/v2.4/league/by-team/' + teamIDs + '/entry' + "?api_key=" + Utils.getAPIKey
      jsonRequest = open(uri).read
      return JSON.parse(jsonRequest)
    end

  end

  def self.challenger(region)
    uri = Utils.baseURI + '/api/lol/' + region +'/v2.4/league/challenger/' + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

end