class StaticData

  def self.champion(region, id)
    uri = Utils.baseURI + '/api/lol/static-data/' + region + '/v1.2/champion/' + id + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

  def self.item(region, id)
    uri = Utils.baseURI + '/api/lol/static-data/' + region + '/v1.2/item/' + id + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end


  def self.mastery(region, id)
    uri = Utils.baseURI + '/api/lol/static-data/' + region + '/v1.2/mastery/' + id + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

  def self.rune(region, id)
    uri = Utils.baseURI + '/api/lol/static-data/' + region + '/v1.2/rune/' + id + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

  def self.summonerspell(region, id)
    uri = Utils.baseURI + '/api/lol/static-data/' + region + '/v1.2/summoner-spell/' + id + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

  def self.realm(region)
    uri = Utils.baseURI + '/api/lol/static-data/' + region + '/v1.2/realm' + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

  def self.versions(region)
    uri = Utils.baseURI + '/api/lol/static-data/' + region + '/v1.2/versions' + "?api_key=" + Utils.getAPIKey
    jsonRequest = open(uri).read
    return JSON.parse(jsonRequest)
  end

end